Loading...
Searching...
No Matches
XrdCl::XRootDStatus Class Reference

Request status. More...

`#include <XrdClXRootDResponses.hh>`

Inheritance diagram for XrdCl::XRootDStatus:
Collaboration diagram for XrdCl::XRootDStatus:

## Public Member Functions

| XRootDStatus (const Status &st, const std::string &message="")
| Constructor.
| XRootDStatus (uint16_t st=0, uint16_t code=0, uint32_t errN=0, const std::string &message="")
| Constructor.
const std::string & | GetErrorMessage () const
| Get error message.
void | SetErrorMessage (const std::string &message)
| Set the error message.
std::string | ToStr () const
| Convert to string.
Public Member Functions inherited from XrdCl::Status
| Status (uint16_t st=stOK, uint16_t cod=errNone, uint32_t errN=0)
| Constructor.
int | GetShellCode () const
| Get the status code that may be returned to the shell.
bool | IsError () const
| Error.
bool | IsFatal () const
| Fatal error.
bool | IsOK () const
| We're fine.
std::string | ToString () const
| Create a string representation.

## Additional Inherited Members

Static Public Member Functions inherited from XrdCl::Status
static bool | IsSocketError (uint16_t code)
Public Attributes inherited from XrdCl::Status
uint16_t | code
| Error type, or additional hints on what to do.
uint32_t | errNo
| Errno, if any.
uint16_t | status
| Status of the execution.

## Detailed Description

Request status.

Definition at line 218 of file XrdClXRootDResponses.hh.

## Constructor & Destructor Documentation

## XRootDStatus() [1/2]

XrdCl::XRootDStatus::XRootDStatus | ( | uint16_t | st = 0,
|  | uint16_t | code = 0,
|  | uint32_t | errN = 0,
|  | const std::string & | message = "" )

inline

Constructor.

Definition at line 224 of file XrdClXRootDResponses.hh.

:
Status( st, code, errN ),
pMessage( message ) {}
XrdCl::Status::Status
Status(uint16_t st=stOK, uint16_t cod=errNone, uint32_t errN=0)
Constructor.
Definition XrdClStatus.hh:119
XrdCl::Status::code
uint16_t code
Error type, or additional hints on what to do.
Definition XrdClStatus.hh:147

References XrdCl::Status::Status(), and XrdCl::Status::code.

Here is the call graph for this function:

## XRootDStatus() [2/2]

XrdCl::XRootDStatus::XRootDStatus | ( | const Status & | st,
|  | const std::string & | message = "" )

inline

Constructor.

Definition at line 234 of file XrdClXRootDResponses.hh.

:
Status( st ),
pMessage( message ) {}

References XrdCl::Status::Status().

Here is the call graph for this function:

## Member Function Documentation

## GetErrorMessage()

const std::string & XrdCl::XRootDStatus::GetErrorMessage | ( |  | ) | const

inline

Get error message.

Definition at line 242 of file XrdClXRootDResponses.hh.

{
return pMessage;
}

Referenced by Fatal(), XrdSsiUtils::GetErr(), XrdCl::XRootDTransport::GetMore(), XrdCl::Utils::GetRemoteCheckSum(), IndexRemote(), XrdCl::XRootDMsgHandler::InspectStatusRsp(), main(), XrdCl::FileStateHandler::OnStateError(), XrdPosixMap::Result(), XrdCl::PropertyList::Set(), and XrdSsiUtils::SetErr().

Here is the caller graph for this function:

## SetErrorMessage()

void XrdCl::XRootDStatus::SetErrorMessage | ( | const std::string & | message | ) |

inline

Set the error message.

Definition at line 250 of file XrdClXRootDResponses.hh.

{
pMessage = message;
}

Referenced by XrdCl::Tls::Connect(), XrdCl::PropertyList::Get(), and XrdCl::Utils::GetRemoteCheckSum().

Here is the caller graph for this function:

## ToStr()

std::string XrdCl::XRootDStatus::ToStr | ( |  | ) | const

inline

Convert to string.

Definition at line 258 of file XrdClXRootDResponses.hh.

{
if( code == errErrorResponse )
{
std::ostringstream o;
o << "[ERROR] Server responded with an error: [" << errNo << "] ";
o << pMessage << std::endl;
return o.str();
}
std::string str = ToString();
if( !pMessage.empty() )
str += ": " + pMessage;
return str;
}
XrdCl::errErrorResponse
const uint16_t errErrorResponse
Definition XrdClStatus.hh:105
XrdCl::Status::ToString
std::string ToString() const
Create a string representation.
Definition XrdClStatus.cc:97
XrdCl::Status::errNo
uint32_t errNo
Errno, if any.
Definition XrdClStatus.hh:148

References XrdCl::Status::code, XrdCl::errErrorResponse, XrdCl::Status::errNo, and XrdCl::Status::ToString().

Referenced by XrdCl::Utils::CheckTPC(), XrdCl::Utils::CheckTPCLite(), DoCache(), DoCat(), DoCD(), DoChMod(), DoLocate(), DoLS(), DoMkDir(), DoMv(), DoPrepare(), DoQuery(), DoRm(), DoRmDir(), DoStat(), DoStatVFS(), DoTail(), DoTruncate(), DoXAttr(), ExecuteCommand(), ExecuteInteractive(), Fatal(), XrdSsiUtils::GetErr(), main(), XrdCl::FileStateHandler::OnClose(), XrdCl::FileStateHandler::OnOpen(), XrdCl::FileStateHandler::OnStateError(), XrdPosixMap::Result(), XrdSsiTaskReal::SetBuff(), XrdSsiTaskReal::SetBuff(), and XrdSsiUtils::SetErr().

Here is the call graph for this function:
Here is the caller graph for this function:

The documentation for this class was generated from the following file:

- XrdClXRootDResponses.hh